Skip to main content
GET
Get Commission Report

Authorizations

Authorization
string
header
required

You can retrieve your token by visiting your dashboard and clicking Generate API token.

Query Parameters

startDate
string
required

Start date (Y-m-d format).

Example:

"2024-01-01"

endDate
string
required

End date (Y-m-d format).

Example:

"2024-12-31"

onlyAvailablePoints
boolean

Filter to only available points.

Example:

true

untilTodayOnly
boolean

Only include up to today.

Example:

false

Body

application/json
startDate
string
required

Must be a valid date in the format Y-m-d.

Example:

"2026-02-01"

endDate
string
required

Must be a valid date in the format Y-m-d.

Example:

"2026-02-01"

onlyAvailablePoints
boolean | null
Example:

true

untilTodayOnly
boolean | null
Example:

true

Response

200 - text/plain

The response is of type string.

Example:

"{\"status\": \"success\", \"message\": \"Commission report\", \"data\": [...]}"